package com.evobms.project.bms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.evobms.project.bms.domain.BmsDevice;

import java.util.List;

/**
 * BMS设备Service接口
 * 
 * @author evobms
 * @date 2025-01-22
 */
public interface IBmsDeviceService extends IService<BmsDevice> {

    /**
     * 查询BMS设备
     * 
     * @param deviceId BMS设备主键
     * @return BMS设备
     */
    BmsDevice selectBmsDeviceByDeviceId(Long deviceId);

    /**
     * 查询BMS设备列表
     * 
     * @param bmsDevice BMS设备
     * @return BMS设备集合
     */
    List<BmsDevice> selectBmsDeviceList(BmsDevice bmsDevice);

    /**
     * 新增BMS设备
     * 
     * @param bmsDevice BMS设备
     * @return 结果
     */
    int insertBmsDevice(BmsDevice bmsDevice);

    /**
     * 修改BMS设备
     * 
     * @param bmsDevice BMS设备
     * @return 结果
     */
    int updateBmsDevice(BmsDevice bmsDevice);

    /**
     * 批量删除BMS设备
     * 
     * @param deviceIds 需要删除的BMS设备主键集合
     * @return 结果
     */
    int deleteBmsDeviceByDeviceIds(Long[] deviceIds);

    /**
     * 删除BMS设备信息
     * 
     * @param deviceId BMS设备主键
     * @return 结果
     */
    int deleteBmsDeviceByDeviceId(Long deviceId);

    /**
     * 根据设备编号查询设备信息
     * 
     * @param deviceCode 设备编号
     * @return BMS设备
     */
    BmsDevice selectBmsDeviceByCode(String deviceCode);

    /**
     * 批量更新设备状态
     * 
     * @param deviceIds 设备ID数组
     * @param status 状态
     * @return 结果
     */
    int updateBmsDeviceStatus(Long[] deviceIds, String status);
}